<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<ng-container *appSideMenu="'top'; title: 'statementEditorForm.sideMenu.title' | translate">
  <app-action-button
    [appDisabled]="appLoading || appTask?.statementId == null"
    [appIcon]="'arrow_back'"
    [appRouterLink]="'/details'"
    [appStatementId]="appTask?.statementId"
    class="side-menu-button openk-info">
    {{"statementEditorForm.sideMenu.backToDetails" | translate}}
  </app-action-button>

  <app-claim-details
    *ngIf="showClaimDetails"
    [claimDetails]="claimDetails[appTask.taskId]"
  ></app-claim-details>

  <app-action-button
    [appDisabled]="appLoading"
    [appIcon]="'book'"
    [appRouterLink]="'/history'"
    [appStatementId]="appTask?.statementId"
    [appNewTab]="true"
    class="side-menu-button openk-info">
    {{"history.buttonText" | translate}}
  </app-action-button>

  <ng-container *ngIf="!appForFinalization">
    <app-action-button
      (appClick)="appSave.emit()"
      [appDisabled]="appLoading"
      [appIcon]="'save'"
      class="side-menu-button openk-info">
      {{"statementEditorForm.sideMenu.save" | translate}}
    </app-action-button>

    <app-action-button
      (appClick)="appValidate.emit()"
      [appDisabled]="appLoading"
      [appIcon]="'bug_report'"
      class="side-menu-button openk-info">
      {{"statementEditorForm.sideMenu.validate" | translate}}
    </app-action-button>

    <app-action-button
      (appClick)="appCompile.emit()"
      [appDisabled]="appLoading"
      [appIcon]="'build'"
      class="side-menu-button openk-info">
      {{"statementEditorForm.sideMenu.compile" | translate}}
    </app-action-button>
  </ng-container>
</ng-container>

<app-side-menu-status
  *appSideMenu="'center'"
  [appLoadingMessage]="'core.submitting' | translate"
  [appErrorMessage]="appErrorMessage"
  [appLoading]="appLoading">
</app-side-menu-status>

<ng-container *appSideMenu="'bottom'">

  <app-action-button
    (appClick)="button.emit()"
    *ngFor="let button of appForFinalization ? buttonLayoutForFinalization : buttonLayout"
    [appDisabled]="button.emit == null || appLoading"
    [appIcon]="button.icon"
    [ngClass]="button.cssClass"
    class="side-menu-button">
    {{button.label | translate}}
  </app-action-button>

</ng-container>
